petsc-3.7.1 2016-05-15
Report Typos and Errors

# ISLocalToGlobalMappingGetBlockInfo

Gets the neighbor information for each processor and each index shared by more than one processor

### Synopsis

    #include "petscis.h"
    PetscErrorCode  ISLocalToGlobalMappingGetBlockInfo(ISLocalToGlobalMapping mapping,PetscInt *nproc,PetscInt *procs[],PetscInt *numprocs[],PetscInt **indices[])

Collective on ISLocalToGlobalMapping Many br

### Input Parameters

mapping -the mapping from local to global indexing Many br

### Output Parameter

| nproc | - number of processors that are connected to this one Many br
| proc | - neighboring processors Many br
| numproc | - number of indices for each subdomain (processor) Many br
| indices | - indices of nodes (in local numbering) shared with neighbors (sorted by global numbering) Many br

Many br

### Fortran Usage

           ISLocalToGlobalMpngGetInfoSize(ISLocalToGlobalMapping,PetscInt nproc,PetscInt numprocmax,ierr) followed by

           ISLocalToGlobalMappingGetInfo(ISLocalToGlobalMapping,PetscInt nproc, PetscInt procs[nproc],PetscInt numprocs[nproc],

PetscInt indices[nproc][numprocmax],ierr) Many brThere is no ISLocalToGlobalMappingRestoreInfo() in Fortran. You must make sure that procs[], numprocs[] and Many brindices[][] are large enough arrays, either by allocating them dynamically or defining static ones large enough. Many br

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreateIS(), ISLocalToGlobalMappingCreate(),
ISLocalToGlobalMappingRestoreInfo() Many br

Level:advanced
Location:src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages